Subject: bug#42342: Wine64 segfaults (5.12/staging)

From: Jakub Kądziołka <[email-masked]>
Date: Sun, 9 Aug 2020 17:03:50 +0200

On Sun, Aug 09, 2020 at 04:03:07PM +0200, Pierre Neidhardt wrote:
> OK, I think I got it.  I had to have _both_ wine and wine64 (staging or
> not) in my profile.

Interesting. Perhaps we should merge the two packages, then? We'd need
to take care to make it work right on i686-linux, but I don't think
that's unsurmountable...

> Previously, the "wine" executable (for 32-bit apps) used to work when
> wine64 alone was in the profile.  Now it looks like we need both.  Any
> idea what changed?

Perhaps loading 32-bit programs with the wine64 wasn't supposed to work
in the first place, and we were relying on some implementation quirk?
Alternatively, cross-compiling from 64 to 32 bit is less tested by
upstream than compiling natively on 64 or 32 bit, and we're hitting an
upstream bug?

Regards,
Jakub Kądziołka